POST
/
v2
/
automation
/
profiles
/
{id}
/
targets
Add profile target
curl --request POST \
  --url https://coreapi-dev.us.bcpapers.ca/v2/automation/profiles/{id}/targets \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "target_id": "<string>",
  "target_type": "<string>",
  "trigger": "<string>"
}
'
{
  "created_at": "<string>",
  "id": "<string>",
  "profile_id": "<string>",
  "target_id": "<string>",
  "target_type": "<string>",
  "trigger": "<string>"
}

Authorizations

Authorization
string
header
required

Paste the JWT token only (no "Bearer " prefix needed — the UI adds it automatically).

Path Parameters

id
string
required

Profile ID

Body

application/json

Target definition

target_id
string
target_type
string
trigger
string

Response

201 - application/json

Created

created_at
string
id
string
profile_id
string
target_id
string
target_type
string
trigger
string